{% extends 'basestorytujuh.html' %}
{% load static %}

{% block style %}
  <link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock %}

{% block title %}Accordion | Storytujuh{% endblock %}

{% block body %}
<br><br><br><br>  
<h2 style="text-align: center;">All About Nurhafizatun Nisa</h2> <br>
<div class="text-center"> 
    <div class="wrapper">
    {% for item in accordion %}
        <div class="acc-item {{item.id}}">
            <div class="acc-header-wrapper">
                <div class="acc-header">
                    {{item.header}}       
                </div>  
                <div class="move-btn">
                    <i class="far fa-caret-square-up move-up"></i>
                    <i class="far fa-caret-square-down move-down"></i>
                </div>                      
            </div>
            <div class="acc-body">
                <p>{{item.body}}</p> 
            </div>
        </div>    
    {% endfor %}
    </div>
</div>
{% endblock %}

{% block script %} 
<script>
    $(document).ready(function(){
        $(".acc-header").click(function(){
            var $item = $(this).parent();
            if ($item.hasClass('active')) {
                $item.toggleClass('active');
            } else {
                $(".acc-header-wrapper").removeClass('active');
                $item.toggleClass('active');
            }          
        });

        $(".move-down").click(function(){
            //element to move
            var $el = $(this).parent().parent().parent();
            
            //move element down one step
            if ($el.not(':last-child'))         
                $el.next().after($el);
        });

        $(".move-up").click(function(){
            //element to move
            var $el = $(this).parent().parent().parent();

            // //move element up one step
            if ($el.not(':first-child'))
                $el.prev().before($el);
        });         
    });
</script>
{% endblock %}